- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Modules | Functions
Win

## Modules
| Inwin

## Functions
Evas_Object * | elm_win_add (Evas_Object *parent, const char *name, Elm_Win_Type type)
| Adds a window object. More...
Evas_Object * | elm_win_util_standard_add (const char *name, const char *title)
| Adds a window object with standard setup. More...
void | elm_win_resize_object_add (Evas_Object *obj, Evas_Object *subobj)
| Add `subobj` as a resize object of window `obj`. More...
void | elm_win_resize_object_del (Evas_Object *obj, Evas_Object *subobj)
| Delete `subobj` as a resize object of window `obj`. More...
void | elm_win_title_set (Evas_Object *obj, const char *title)
| Set the title of the window. More...
const char * | elm_win_title_get (const Evas_Object *obj)
| Get the title of the window. More...
void | elm_win_icon_name_set (Evas_Object *obj, const char *icon_name)
| Set the icon name of the window. More...
const char * | elm_win_icon_name_get (const Evas_Object *obj)
| Get the icon name of the window. More...
void | elm_win_role_set (Evas_Object *obj, const char *role)
| Set the role of the window. More...
const char * | elm_win_role_get (const Evas_Object *obj)
| Get the role of the window. More...
void | elm_win_icon_object_set (Evas_Object *obj, Evas_Object *icon)
| Set a window object's icon. More...
const Evas_Object * | elm_win_icon_object_get (const Evas_Object *obj)
| Get the icon object used for the window. More...
void | elm_win_autodel_set (Evas_Object *obj, Eina_Bool autodel)
| Set the window's autodel state. More...
Eina_Bool | elm_win_autodel_get (const Evas_Object *obj)
| Get the window's autodel state. More...
void | elm_win_activate (Evas_Object *obj)
| Activate a window object. More...
void | elm_win_lower (Evas_Object *obj)
| Lower a window object. More...
void | elm_win_raise (Evas_Object *obj)
| Raise a window object. More...
void | elm_win_center (Evas_Object *obj, Eina_Bool h, Eina_Bool v)
| Center a window on its screen. More...
void | elm_win_borderless_set (Evas_Object *obj, Eina_Bool borderless)
| Set the borderless state of a window. More...
Eina_Bool | elm_win_borderless_get (const Evas_Object *obj)
| Get the borderless state of a window. More...
void | elm_win_shaped_set (Evas_Object *obj, Eina_Bool shaped)
| Set the shaped state of a window. More...
Eina_Bool | elm_win_shaped_get (const Evas_Object *obj)
| Get the shaped state of a window. More...
void | elm_win_alpha_set (Evas_Object *obj, Eina_Bool enabled)
| Set the alpha channel state of a window. More...
Eina_Bool | elm_win_alpha_get (const Evas_Object *obj)
| Get the alpha channel state of a window. More...
void | elm_win_override_set (Evas_Object *obj, Eina_Bool override)
| Set the override state of a window. More...
Eina_Bool | elm_win_override_get (const Evas_Object *obj)
| Get the override state of a window. More...
void | elm_win_fullscreen_set (Evas_Object *obj, Eina_Bool fullscreen)
| Set the fullscreen state of a window. More...
Eina_Bool | elm_win_fullscreen_get (const Evas_Object *obj)
| Get the fullscreen state of a window. More...
Evas_Object * | elm_win_main_menu_get (const Evas_Object *obj)
| Get the Main Menu of a window. More...
void | elm_win_maximized_set (Evas_Object *obj, Eina_Bool maximized)
| Set the maximized state of a window. More...
Eina_Bool | elm_win_maximized_get (const Evas_Object *obj)
| Get the maximized state of a window. More...
void | elm_win_iconified_set (Evas_Object *obj, Eina_Bool iconified)
| Set the iconified state of a window. More...
Eina_Bool | elm_win_iconified_get (const Evas_Object *obj)
| Get the iconified state of a window. More...
void | elm_win_withdrawn_set (Evas_Object *obj, Eina_Bool withdrawn)
| Set the withdrawn state of a window. More...
Eina_Bool | elm_win_withdrawn_get (const Evas_Object *obj)
| Get the withdrawn state of a window. More...
void | elm_win_available_profiles_set (Evas_Object *obj, const char **profiles, unsigned int count)
| Set the array of available profiles to a window. More...
Eina_Bool | elm_win_available_profiles_get (Evas_Object *obj, char ***profiles, unsigned int *count)
| Get the array of available profiles of a window. More...
void | elm_win_profile_set (Evas_Object *obj, const char *profile)
| Set the profile of a window. More...
const char * | elm_win_profile_get (const Evas_Object *obj)
| Get the profile of a window. More...
void | elm_win_urgent_set (Evas_Object *obj, Eina_Bool urgent)
| Set the urgent state of a window. More...
Eina_Bool | elm_win_urgent_get (const Evas_Object *obj)
| Get the urgent state of a window. More...
void | elm_win_demand_attention_set (Evas_Object *obj, Eina_Bool demand_attention)
| Set the demand_attention state of a window. More...
Eina_Bool | elm_win_demand_attention_get (const Evas_Object *obj)
| Get the demand_attention state of a window. More...
void | elm_win_modal_set (Evas_Object *obj, Eina_Bool modal)
| Set the modal state of a window. More...
Eina_Bool | elm_win_modal_get (const Evas_Object *obj)
| Get the modal state of a window. More...
void | elm_win_aspect_set (Evas_Object *obj, double aspect)
| Set the aspect ratio of a window. More...
double | elm_win_aspect_get (const Evas_Object *obj)
| Get the aspect ratio of a window. More...
void | elm_win_size_base_set (Evas_Object *obj, int w, int h)
| Set the base window size used with stepping calculation. More...
void | elm_win_size_base_get (Evas_Object *obj, int *w, int *h)
| Get the base size of a window. More...
void | elm_win_size_step_set (Evas_Object *obj, int w, int h)
| Set the window stepping used with sizing calculation. More...
void | elm_win_size_step_get (Evas_Object *obj, int *w, int *h)
| Get the stepping of a window. More...
void | elm_win_layer_set (Evas_Object *obj, int layer)
| Set the layer of the window. More...
int | elm_win_layer_get (const Evas_Object *obj)
| Get the layer of the window. More...
void | elm_win_norender_push (Evas_Object *obj)
| This pushes (incriments) the norender counter on the window. More...
void | elm_win_norender_pop (Evas_Object *obj)
| This pops (decrements) the norender counter on the window. More...
int | elm_win_norender_get (Evas_Object *obj)
| The retruns how many times norender has been pushed on the window. More...
void | elm_win_render (Evas_Object *obj)
| This manually asks evas to render the window now. More...
void | elm_win_rotation_set (Evas_Object *obj, int rotation)
| Set the rotation of the window. More...
void | elm_win_rotation_with_resize_set (Evas_Object *obj, int rotation)
| Rotates the window and resizes it. More...
int | elm_win_rotation_get (const Evas_Object *obj)
| Get the rotation of the window. More...
void | elm_win_sticky_set (Evas_Object *obj, Eina_Bool sticky)
| Set the sticky state of the window. More...
Eina_Bool | elm_win_sticky_get (const Evas_Object *obj)
| Get the sticky state of the window. More...
void | elm_win_conformant_set (Evas_Object *obj, Eina_Bool conformant)
| Set if this window is an illume conformant window. More...
Eina_Bool | elm_win_conformant_get (const Evas_Object *obj)
| Get if this window is an illume conformant window. More...
void | elm_win_quickpanel_set (Evas_Object *obj, Eina_Bool quickpanel)
| Set a window to be an illume quickpanel window. More...
Eina_Bool | elm_win_quickpanel_get (const Evas_Object *obj)
| Get if this window is a quickpanel or not. More...
void | elm_win_quickpanel_priority_major_set (Evas_Object *obj, int priority)
| Set the major priority of a quickpanel window. More...
int | elm_win_quickpanel_priority_major_get (const Evas_Object *obj)
| Get the major priority of a quickpanel window. More...
void | elm_win_quickpanel_priority_minor_set (Evas_Object *obj, int priority)
| Set the minor priority of a quickpanel window. More...
int | elm_win_quickpanel_priority_minor_get (const Evas_Object *obj)
| Get the minor priority of a quickpanel window. More...
void | elm_win_quickpanel_zone_set (Evas_Object *obj, int zone)
| Set which zone this quickpanel should appear in. More...
int | elm_win_quickpanel_zone_get (const Evas_Object *obj)
| Get which zone this quickpanel should appear in. More...
void | elm_win_prop_focus_skip_set (Evas_Object *obj, Eina_Bool skip)
| Set the window to be skipped by keyboard focus. More...
void | elm_win_illume_command_send (Evas_Object *obj, Elm_Illume_Command command, void *params)
| Send a command to the windowing environment. More...
Evas_Object * | elm_win_inlined_image_object_get (Evas_Object *obj)
| Get the inlined image object handle. More...
Eina_Bool | elm_win_focus_get (const Evas_Object *obj)
| Determine whether a window has focus. More...
void | elm_win_screen_constrain_set (Evas_Object *obj, Eina_Bool constrain)
| Constrain the maximum width and height of a window to the width and height of its screen. More...
Eina_Bool | elm_win_screen_constrain_get (Evas_Object *obj)
| Retrieve the constraints on the maximum width and height of a window relative to the width and height of its screen. More...
void | elm_win_screen_size_get (const Evas_Object *obj, int *x, int *y, int *w, int *h)
| Get screen geometry details for the screen that a window is on. More...
void | elm_win_screen_dpi_get (const Evas_Object *obj, int *xdpi, int *ydpi)
| Get screen dpi for the screen that a window is on. More...
void | elm_win_focus_highlight_enabled_set (Evas_Object *obj, Eina_Bool enabled)
| Set the enabled status for the focus highlight in a window. More...
Eina_Bool | elm_win_focus_highlight_enabled_get (const Evas_Object *obj)
| Get the enabled value of the focus highlight for this window. More...
void | elm_win_focus_highlight_style_set (Evas_Object *obj, const char *style)
| Set the style for the focus highlight on this window. More...
const char * | elm_win_focus_highlight_style_get (const Evas_Object *obj)
| Get the style set for the focus highlight object. More...
void | elm_win_focus_highlight_animate_set (Evas_Object *obj, Eina_Bool enabled)
| Set the animate status for the focus highlight for this window. More...
Eina_Bool | elm_win_focus_highlight_animate_get (const Evas_Object *obj)
| Get the animate value of the focus highlight for this window. More...
void | elm_win_keyboard_mode_set (Evas_Object *obj, Elm_Win_Keyboard_Mode mode)
| Sets the keyboard mode of the window. More...
Elm_Win_Keyboard_Mode | elm_win_keyboard_mode_get (const Evas_Object *obj)
| Get the keyboard mode of the window. More...
void | elm_win_keyboard_win_set (Evas_Object *obj, Eina_Bool is_keyboard)
| Sets whether the window is a keyboard. More...
Eina_Bool | elm_win_keyboard_win_get (const Evas_Object *obj)
| Get whether the window is a keyboard. More...
void | elm_win_indicator_mode_set (Evas_Object *obj, Elm_Win_Indicator_Mode mode)
| Sets the indicator mode of the window. More...
Elm_Win_Indicator_Mode | elm_win_indicator_mode_get (const Evas_Object *obj)
| Get the indicator mode of the window. More...
void | elm_win_indicator_opacity_set (Evas_Object *obj, Elm_Win_Indicator_Opacity_Mode mode)
| Sets the indicator opacity mode of the window. More...
Elm_Win_Indicator_Opacity_Mode | elm_win_indicator_opacity_get (const Evas_Object *obj)
| Get the indicator opacity mode of the window. More...
void | elm_win_screen_position_get (const Evas_Object *obj, int *x, int *y)
| Get the screen position of a window. More...
Eina_Bool | elm_win_socket_listen (Evas_Object *obj, const char *svcname, int svcnum, Eina_Bool svcsys)
| Create a socket to provide the service for Plug widget. More...
Ecore_X_Window | elm_win_xwindow_get (const Evas_Object *obj)
| Get the Ecore_X_Window of an Evas_Object. More...
Ecore_Wl_Window * | elm_win_wl_window_get (const Evas_Object *obj)
| Get the Ecore_Wl_Window of an Evas_Object. More...
void | elm_win_floating_mode_set (Evas_Object *obj, Eina_Bool floating)
| Set the floating mode of a window. More...
Eina_Bool | elm_win_floating_mode_get (const Evas_Object *obj)
| Get the floating mode of a window. More...
Ecore_Window | elm_win_window_id_get (const Evas_Object *obj)
| Get the Ecore_Window of an Evas_Object. More...
#define | elm_obj_win_constructor(name, type) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_WIN_CONSTRUCTOR), EO_TYPECHECK(const char *, name), EO_TYPECHECK(Elm_Win_Type, type)
#define | elm_obj_win_resize_object_add(subobj) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_RESIZE_OBJECT_ADD), EO_TYPECHECK(Evas_Object *, subobj)
#define | elm_obj_win_resize_object_del(subobj) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_RESIZE_OBJECT_DEL), EO_TYPECHECK(Evas_Object *, subobj)
#define | elm_obj_win_title_set(title) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_TITLE_SET), EO_TYPECHECK(const char *, title)
#define | elm_obj_win_title_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_TITLE_GET), EO_TYPECHECK(const char **, ret)
#define | elm_obj_win_icon_name_set(icon_name) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ICON_NAME_SET), EO_TYPECHECK(const char *, icon_name)
#define | elm_obj_win_icon_name_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ICON_NAME_GET), EO_TYPECHECK(const char **, ret)
#define | elm_obj_win_role_set(role) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ROLE_SET), EO_TYPECHECK(const char *, role)
#define | elm_obj_win_role_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ROLE_GET), EO_TYPECHECK(const char **, ret)
#define | elm_obj_win_icon_object_set(icon) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ICON_OBJECT_SET), EO_TYPECHECK(Evas_Object *, icon)
#define | elm_obj_win_icon_object_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ICON_OBJECT_GET), EO_TYPECHECK(const Evas_Object **, ret)
#define | elm_obj_win_autodel_set(autodel) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_AUTODEL_SET), EO_TYPECHECK(Eina_Bool, autodel)
#define | elm_obj_win_autodel_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_AUTODEL_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_win_activate() ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ACTIVATE)
#define | elm_obj_win_lower() ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_LOWER)
#define | elm_obj_win_raise() ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_RAISE)
#define | elm_obj_win_center(h, v) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_CENTER), EO_TYPECHECK(Eina_Bool, h), EO_TYPECHECK(Eina_Bool, v)
#define | elm_obj_win_borderless_set(borderless) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_BORDERLESS_SET), EO_TYPECHECK(Eina_Bool, borderless)
#define | elm_obj_win_borderless_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_BORDERLESS_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_win_shaped_set(shaped) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_SHAPED_SET), EO_TYPECHECK(Eina_Bool, shaped)
#define | elm_obj_win_shaped_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_SHAPED_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_win_alpha_set(alpha) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ALPHA_SET), EO_TYPECHECK(Eina_Bool, alpha)
#define | elm_obj_win_alpha_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ALPHA_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_win_override_set(override) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_OVERRIDE_SET), EO_TYPECHECK(Eina_Bool, override)
#define | elm_obj_win_override_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_OVERRIDE_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_win_fullscreen_set(fullscreen) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_FULLSCREEN_SET), EO_TYPECHECK(Eina_Bool, fullscreen)
#define | elm_obj_win_fullscreen_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_FULLSCREEN_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_win_main_menu_get(ret)
#define | elm_obj_win_maximized_set(maximized) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_MAXIMIZED_SET), EO_TYPECHECK(Eina_Bool, maximized)
#define | elm_obj_win_maximized_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_MAXIMIZED_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_win_iconified_set(iconified) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ICONIFIED_SET), EO_TYPECHECK(Eina_Bool, iconified)
#define | elm_obj_win_iconified_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ICONIFIED_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_win_withdrawn_set(withdrawn) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_WITHDRAWN_SET), EO_TYPECHECK(Eina_Bool, withdrawn)
#define | elm_obj_win_withdrawn_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_WITHDRAWN_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_win_available_profiles_set(profiles, count) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_AVAILABLE_PROFILES_SET), EO_TYPECHECK(const char **, profiles), EO_TYPECHECK(unsigned int, count)
#define | elm_obj_win_available_profiles_get(ret, profiles, count) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_AVAILABLE_PROFILES_GET), EO_TYPECHECK(Eina_Bool *, ret), EO_TYPECHECK(char ***, profiles), EO_TYPECHECK(unsigned int *, count)
#define | elm_obj_win_profile_set(profile) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_PROFILE_SET), EO_TYPECHECK(const char *, profile)
#define | elm_obj_win_profile_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_PROFILE_GET), EO_TYPECHECK(const char **, ret)
#define | elm_obj_win_urgent_set(urgent) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_URGENT_SET), EO_TYPECHECK(Eina_Bool, urgent)
#define | elm_obj_win_urgent_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_URGENT_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_win_demand_attention_set(demand_attention) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_DEMAND_ATTENTION_SET), EO_TYPECHECK(Eina_Bool, demand_attention)
#define | elm_obj_win_demand_attention_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_DEMAND_ATTENTION_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_win_modal_set(modal) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_MODAL_SET), EO_TYPECHECK(Eina_Bool, modal)
#define | elm_obj_win_modal_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_MODAL_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_win_aspect_set(aspect) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ASPECT_SET), EO_TYPECHECK(double, aspect)
#define | elm_obj_win_aspect_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ASPECT_GET), EO_TYPECHECK(double *, ret)
#define | elm_obj_win_size_base_set(w, h) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_SIZE_BASE_SET), EO_TYPECHECK(int, w), EO_TYPECHECK(int, h)
#define | elm_obj_win_size_base_get(w, h) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_SIZE_BASE_GET), EO_TYPECHECK(int *, w), EO_TYPECHECK(int *, h)
#define | elm_obj_win_size_step_set(w, h) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_SIZE_STEP_SET), EO_TYPECHECK(int, w), EO_TYPECHECK(int, h)
#define | elm_obj_win_size_step_get(w, h) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_SIZE_STEP_GET), EO_TYPECHECK(int *, w), EO_TYPECHECK(int *, h)
#define | elm_obj_win_layer_set(layer) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_LAYER_SET), EO_TYPECHECK(int, layer)
#define | elm_obj_win_layer_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_LAYER_GET), EO_TYPECHECK(int *, ret)
#define | elm_obj_win_rotation_set(rotation) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ROTATION_SET), EO_TYPECHECK(int, rotation)
#define | elm_obj_win_rotation_with_resize_set(rotation) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ROTATION_WITH_RESIZE_SET), EO_TYPECHECK(int, rotation)
#define | elm_obj_win_rotation_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ROTATION_GET), EO_TYPECHECK(int *, ret)
#define | elm_obj_win_sticky_set(sticky) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_STICKY_SET), EO_TYPECHECK(Eina_Bool, sticky)
#define | elm_obj_win_sticky_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_STICKY_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_win_keyboard_mode_set(mode) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_KEYBOARD_MODE_SET), EO_TYPECHECK(Elm_Win_Keyboard_Mode, mode)
#define | elm_obj_win_keyboard_mode_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_KEYBOARD_MODE_GET), EO_TYPECHECK(Elm_Win_Keyboard_Mode *, ret)
#define | elm_obj_win_keyboard_win_set(is_keyboard) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_KEYBOARD_WIN_SET), EO_TYPECHECK(Eina_Bool, is_keyboard)
#define | elm_obj_win_keyboard_win_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_KEYBOARD_WIN_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_win_indicator_mode_set(mode) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_INDICATOR_MODE_SET), EO_TYPECHECK(Elm_Win_Indicator_Mode, mode)
#define | elm_obj_win_indicator_mode_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_INDICATOR_MODE_GET), EO_TYPECHECK(Elm_Win_Indicator_Mode *, ret)
#define | elm_obj_win_indicator_opacity_set(mode) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_INDICATOR_OPACITY_SET), EO_TYPECHECK(Elm_Win_Indicator_Opacity_Mode, mode)
#define | elm_obj_win_indicator_opacity_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_INDICATOR_OPACITY_GET), EO_TYPECHECK(Elm_Win_Indicator_Opacity_Mode *, ret)
#define | elm_obj_win_screen_position_get(x, y) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_SCREEN_POSITION_GET), EO_TYPECHECK(int *, x), EO_TYPECHECK(int *, y)
#define | elm_obj_win_focus_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_FOCUS_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_win_screen_constrain_set(constrain) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_SCREEN_CONSTRAIN_SET), EO_TYPECHECK(Eina_Bool, constrain)
#define | elm_obj_win_screen_constrain_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_SCREEN_CONSTRAIN_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_win_screen_size_get(x, y, w, h) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_SCREEN_SIZE_GET), EO_TYPECHECK(int *, x), EO_TYPECHECK(int *, y), EO_TYPECHECK(int *, w), EO_TYPECHECK(int *, h)
#define | elm_obj_win_screen_dpi_get(xdpi, ydpi) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_SCREEN_DPI_GET), EO_TYPECHECK(int *, xdpi), EO_TYPECHECK(int *, ydpi)
#define | elm_obj_win_conformant_set(conformant) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_CONFORMANT_SET), EO_TYPECHECK(Eina_Bool, conformant)
#define | elm_obj_win_conformant_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_CONFORMANT_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_win_quickpanel_set(quickpanel) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_QUICKPANEL_SET), EO_TYPECHECK(Eina_Bool, quickpanel)
#define | elm_obj_win_quickpanel_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_QUICKPANEL_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_win_quickpanel_priority_major_set(priority) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_QUICKPANEL_PRIORITY_MAJOR_SET), EO_TYPECHECK(int, priority)
#define | elm_obj_win_quickpanel_priority_major_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_QUICKPANEL_PRIORITY_MAJOR_GET), EO_TYPECHECK(int *, ret)
#define | elm_obj_win_quickpanel_priority_minor_set(priority) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_QUICKPANEL_PRIORITY_MINOR_SET), EO_TYPECHECK(int, priority)
#define | elm_obj_win_quickpanel_priority_minor_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_QUICKPANEL_PRIORITY_MINOR_GET), EO_TYPECHECK(int *, ret)
#define | elm_obj_win_quickpanel_zone_set(zone) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_QUICKPANEL_ZONE_SET), EO_TYPECHECK(int, zone)
#define | elm_obj_win_quickpanel_zone_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_QUICKPANEL_ZONE_GET), EO_TYPECHECK(int *, ret)
#define | elm_obj_win_prop_focus_skip_set(skip) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_PROP_FOCUS_SKIP_SET), EO_TYPECHECK(Eina_Bool, skip)
#define | elm_obj_win_illume_command_send(command, params) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ILLUME_COMMAND_SEND), EO_TYPECHECK(Elm_Illume_Command, command), EO_TYPECHECK(void *, params)
#define | elm_obj_win_inlined_image_object_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_INLINED_IMAGE_OBJECT_GET), EO_TYPECHECK(Evas_Object **, ret)
#define | elm_obj_win_focus_highlight_enabled_set(enabled) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_FOCUS_HIGHLIGHT_ENABLED_SET), EO_TYPECHECK(Eina_Bool, enabled)
#define | elm_obj_win_focus_highlight_enabled_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_FOCUS_HIGHLIGHT_ENABLED_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_win_focus_highlight_style_set(style) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_FOCUS_HIGHLIGHT_STYLE_SET), EO_TYPECHECK(const char *, style)
#define | elm_obj_win_focus_highlight_style_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_FOCUS_HIGHLIGHT_STYLE_GET), EO_TYPECHECK(const char **, ret)
#define | elm_obj_win_focus_highlight_animate_set(animate) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_FOCUS_HIGHLIGHT_ANIMATE_SET), EO_TYPECHECK(Eina_Bool, animate)
#define | elm_obj_win_focus_highlight_animate_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_FOCUS_HIGHLIGHT_ANIMATE_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_win_socket_listen(svcname, svcnum, svcsys, ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_SOCKET_LISTEN), EO_TYPECHECK(const char *, svcname), EO_TYPECHECK(int, svcnum), EO_TYPECHECK(Eina_Bool, svcsys), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_win_xwindow_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_XWINDOW_GET), EO_TYPECHECK(Ecore_X_Window *, ret)
#define | elm_obj_win_wl_window_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_WL_WINDOW_GET), EO_TYPECHECK(Ecore_Wl_Window **, ret)
#define | elm_obj_win_window_id_get(ret) ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_WINDOW_ID_GET), EO_TYPECHECK(Ecore_Window *, ret)

## Detailed Description

The window class of Elementary. Contains functions to manipulate windows. The Evas engine used to render the window contents is specified in the system or user elementary config files (whichever is found last), and can be overridden with the ELM_ENGINE environment variable for testing. Engines that may be supported (depending on Evas and Ecore-Evas compilation setup and modules actually installed at runtime) are (listed in order of best supported and most likely to be complete and work to lowest quality).

- "x11", "x", "software-x11", "software_x11" (Software rendering in X11)
- "gl", "opengl", "opengl-x11", "opengl_x11" (OpenGL or OpenGL-ES2 rendering in X11)
- "shot:..." (Virtual screenshot renderer - renders to output file and exits)
- "fb", "software-fb", "software_fb" (Linux framebuffer direct software rendering)
- "sdl", "software-sdl", "software_sdl" (SDL software rendering to SDL buffer)
- "gl-sdl", "gl_sdl", "opengl-sdl", "opengl_sdl" (OpenGL or OpenGL-ES2 rendering using SDL as the buffer)
- "gdi", "software-gdi", "software_gdi" (Windows WIN32 rendering via GDI with software)
- "dfb", "directfb" (Rendering to a DirectFB window)
- "x11-8", "x8", "software-8-x11", "software_8_x11" (Rendering in grayscale using dedicated 8bit software engine in X11)
- "x11-16", "x16", "software-16-x11", "software_16_x11" (Rendering in X11 using 16bit software engine)
- "wince-gdi", "software-16-wince-gdi", "software_16_wince_gdi" (Windows CE rendering via GDI with 16bit software renderer)
- "sdl-16", "software-16-sdl", "software_16_sdl" (Rendering to SDL buffer with 16bit software renderer)
- "ews" (rendering to EWS - Ecore + Evas Single Process Windowing System)
- "gl-cocoa", "gl_cocoa", "opengl-cocoa", "opengl_cocoa" (OpenGL rendering in Cocoa)
- "psl1ght" (PS3 rendering using PSL1GHT)

All engines use a simple string to select the engine to render, EXCEPT the "shot" engine. This actually encodes the output of the virtual screenshot and how long to delay in the engine string. The engine string is encoded in the following way:

"shot:[delay=XX][:][repeat=DDD][:][file=XX]"

Where options are separated by a ":" char if more than one option is given, with delay, if provided being the first option and file the last (order is important). The delay specifies how long to wait after the window is shown before doing the virtual "in memory" rendering and then save the output to the file specified by the file option (and then exit). If no delay is given, the default is 0.5 seconds. If no file is given the default output file is "out.png". Repeat option is for continuous capturing screenshots. Repeat range is from 1 to 999 and filename is fixed to "out001.png" Some examples of using the shot engine:

ELM_ENGINE="shot:delay=1.0:repeat=5:file=elm_test.png" elementary_test ELM_ENGINE="shot:delay=1.0:file=elm_test.png" elementary_test ELM_ENGINE="shot:file=elm_test2.png" elementary_test ELM_ENGINE="shot:delay=2.0" elementary_test ELM_ENGINE="shot:" elementary_test

Signals that you can add callbacks for are:

- "delete,request": the user requested to close the window. See elm_win_autodel_set().
- "focus,in": window got focus (deprecated. use "focused" instead.)
- "focus,out": window lost focus (deprecated. use "unfocused" instead.)
- "moved": window that holds the canvas was moved
- "withdrawn": window is still managed normally but removed from view
- "iconified": window is minimized (perhaps into an icon or taskbar)
- "normal": window is in a normal state (not withdrawn or iconified)
- "stick": window has become sticky (shows on all desktops)
- "unstick": window has stopped being sticky
- "fullscreen": window has become fullscreen
- "unfullscreen": window has stopped being fullscreen
- "maximized": window has been maximized
- "unmaximized": window has stopped being maximized
- "ioerr": there has been a low-level I/O error with the display system
- "indicator,prop,changed": an indicator's property has been changed
- "rotation,changed": window rotation has been changed
- "profile,changed": profile of the window has been changed
- "focused" : When the win has received focus. (since 1.8)
- "unfocused" : When the win has lost focus. (since 1.8)

Examples:

- Win - General API overview

## Macro Definition Documentation

#define elm_obj_win_activate | ( |  | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ACTIVATE)

Since
  1.8

Activate a window object.

See Also
  elm_win_activate

Referenced by elm_win_activate().

#define elm_obj_win_alpha_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ALPHA_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get the alpha channel state of a window.

Parameters

  [out] | ret |

See Also
  elm_win_alpha_get

Referenced by elm_win_alpha_get().

#define elm_obj_win_alpha_set | ( |  | alpha | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ALPHA_SET), EO_TYPECHECK(Eina_Bool, alpha)

Since
  1.8

Set the alpha channel state of a window.

Parameters

  [in] | alpha |

See Also
  elm_win_alpha_set

Referenced by elm_win_alpha_set().

#define elm_obj_win_aspect_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ASPECT_GET), EO_TYPECHECK(double *, ret)

Since
  1.8

Get the aspect ratio of a window.

Parameters

  [out] | ret |

See Also
  elm_win_aspect_get

Referenced by elm_win_aspect_get().

#define elm_obj_win_aspect_set | ( |  | aspect | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ASPECT_SET), EO_TYPECHECK(double, aspect)

Since
  1.8

Set the aspect ratio of a window.

Parameters

  [in] | aspect |

See Also
  elm_win_aspect_set

Referenced by elm_win_aspect_set().

#define elm_obj_win_autodel_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_AUTODEL_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get the window's autodel state.

Parameters

  [out] | ret |

See Also
  elm_win_autodel_get

Referenced by elm_win_autodel_get().

#define elm_obj_win_autodel_set | ( |  | autodel | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_AUTODEL_SET), EO_TYPECHECK(Eina_Bool, autodel)

Since
  1.8

Set the window's autodel state.

Parameters

  [in] | autodel |

See Also
  elm_win_autodel_set

Referenced by elm_win_autodel_set().

#define elm_obj_win_available_profiles_get | ( |  | ret,
|  |  | profiles,
|  |  | count
| ) |  | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_AVAILABLE_PROFILES_GET), EO_TYPECHECK(Eina_Bool *, ret), EO_TYPECHECK(char ***, profiles), EO_TYPECHECK(unsigned int *, count)

Since
  1.8

Get the array of available profiles of a window.

Parameters

  [out] | ret |
  [out] | profiles |
  [out] | count |

See Also
  elm_win_available_profiles_get

Referenced by elm_win_available_profiles_get().

#define elm_obj_win_available_profiles_set | ( |  | profiles,
|  |  | count
| ) |  | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_AVAILABLE_PROFILES_SET), EO_TYPECHECK(const char **, profiles), EO_TYPECHECK(unsigned int, count)

Since
  1.8

Set the array of available profiles to a window.

Parameters

  [in] | profiles |
  [in] | count |

See Also
  elm_win_available_profiles_set

Referenced by elm_win_available_profiles_set().

#define elm_obj_win_borderless_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_BORDERLESS_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get the borderless state of a window.

Parameters

  [out] | ret |

See Also
  elm_win_borderless_get

Referenced by elm_win_borderless_get().

#define elm_obj_win_borderless_set | ( |  | borderless | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_BORDERLESS_SET), EO_TYPECHECK(Eina_Bool, borderless)

Since
  1.8

Set the borderless state of a window.

Parameters

  [in] | borderless |

See Also
  elm_win_borderless_set

Referenced by elm_win_borderless_set().

#define elm_obj_win_center | ( |  | h,
|  |  | v
| ) |  | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_CENTER), EO_TYPECHECK(Eina_Bool, h), EO_TYPECHECK(Eina_Bool, v)

Since
  1.8

Center a window on its screen

Parameters

  [in] | h |
  [in] | v |

See Also
  elm_win_center

Referenced by elm_win_center().

#define elm_obj_win_conformant_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_CONFORMANT_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get if this window is an illume conformant window

Parameters

  [out] | ret |

See Also
  elm_win_conformant_get

Referenced by elm_win_conformant_get().

#define elm_obj_win_conformant_set | ( |  | conformant | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_CONFORMANT_SET), EO_TYPECHECK(Eina_Bool, conformant)

Since
  1.8

Set if this window is an illume conformant window

Parameters

  [in] | conformant |

See Also
  elm_win_conformant_set

Referenced by elm_win_conformant_set().

#define elm_obj_win_constructor | ( |  | name,
|  |  | type
| ) |  | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_WIN_CONSTRUCTOR), EO_TYPECHECK(const char *, name), EO_TYPECHECK(Elm_Win_Type, type)

Since
  1.8

No description supplied by the EAPI.

Parameters

  [in] | name |
  [in] | type |

Referenced by elm_win_add().

#define elm_obj_win_demand_attention_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_DEMAND_ATTENTION_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get the demand_attention state of a window.

Parameters

  [out] | ret |

See Also
  elm_win_demand_attention_get

Referenced by elm_win_demand_attention_get().

#define elm_obj_win_demand_attention_set | ( |  | demand_attention | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_DEMAND_ATTENTION_SET), EO_TYPECHECK(Eina_Bool, demand_attention)

Since
  1.8

Set the demand_attention state of a window.

Parameters

  [in] | demand_attention |

See Also
  elm_win_demand_attention_set

Referenced by elm_win_demand_attention_set().

#define elm_obj_win_focus_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_FOCUS_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Determine whether a window has focus

Parameters

  [out] | ret |

See Also
  elm_win_focus_get

Referenced by elm_win_focus_get().

#define elm_obj_win_focus_highlight_animate_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_FOCUS_HIGHLIGHT_ANIMATE_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get the animate status for the focus highlight for this window.

Parameters

  [out] | ret |

See Also
  elm_win_focus_highlight_animate_get

Referenced by elm_win_focus_highlight_animate_get().

#define elm_obj_win_focus_highlight_animate_set | ( |  | animate | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_FOCUS_HIGHLIGHT_ANIMATE_SET), EO_TYPECHECK(Eina_Bool, animate)

Since
  1.8

Set the animate status for the focus highlight for this window.

Parameters

  [in] | animate |

See Also
  elm_win_focus_highlight_animate_get

Referenced by elm_win_focus_highlight_animate_set().

#define elm_obj_win_focus_highlight_enabled_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_FOCUS_HIGHLIGHT_ENABLED_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get the enabled value of the focus highlight for this window

Parameters

  [out] | ret |

See Also
  elm_win_focus_highlight_enabled_get

Referenced by elm_win_focus_highlight_enabled_get().

#define elm_obj_win_focus_highlight_enabled_set | ( |  | enabled | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_FOCUS_HIGHLIGHT_ENABLED_SET), EO_TYPECHECK(Eina_Bool, enabled)

Since
  1.8

Set the enabled status for the focus highlight in a window

Parameters

  [in] | enabled |

See Also
  elm_win_focus_highlight_enabled_set

Referenced by elm_win_focus_highlight_enabled_set().

#define elm_obj_win_focus_highlight_style_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_FOCUS_HIGHLIGHT_STYLE_GET), EO_TYPECHECK(const char **, ret)

Since
  1.8

Get the style set for the focus highlight object

Parameters

  [out] | ret |

See Also
  elm_win_focus_highlight_style_get

Referenced by elm_win_focus_highlight_style_get().

#define elm_obj_win_focus_highlight_style_set | ( |  | style | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_FOCUS_HIGHLIGHT_STYLE_SET), EO_TYPECHECK(const char *, style)

Since
  1.8

Set the style for the focus highlight on this window

Parameters

  [in] | style |

See Also
  elm_win_focus_highlight_style_set

Referenced by elm_win_focus_highlight_style_set().

#define elm_obj_win_fullscreen_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_FULLSCREEN_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get the fullscreen state of a window.

Parameters

  [out] | ret |

See Also
  elm_win_fullscreen_get

Referenced by elm_win_fullscreen_get().

#define elm_obj_win_fullscreen_set | ( |  | fullscreen | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_FULLSCREEN_SET), EO_TYPECHECK(Eina_Bool, fullscreen)

Since
  1.8

Set the fullscreen state of a window.

Parameters

  [in] | fullscreen |

See Also
  elm_win_fullscreen_set

Referenced by elm_win_fullscreen_set().

#define elm_obj_win_icon_name_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ICON_NAME_GET), EO_TYPECHECK(const char **, ret)

Since
  1.8

Get the icon name of the window

Parameters

  [out] | ret |

See Also
  elm_win_icon_name_get

Referenced by elm_win_icon_name_get().

#define elm_obj_win_icon_name_set | ( |  | icon_name | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ICON_NAME_SET), EO_TYPECHECK(const char *, icon_name)

Since
  1.8

Set the icon name of the window

Parameters

  [in] | icon_name |

See Also
  elm_win_icon_name_set

Referenced by elm_win_icon_name_set().

#define elm_obj_win_icon_object_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ICON_OBJECT_GET), EO_TYPECHECK(const Evas_Object **, ret)

Since
  1.8

Get the icon object used for the window

Parameters

  [out] | ret |

See Also
  elm_win_icon_object_get

Referenced by elm_win_icon_object_get().

#define elm_obj_win_icon_object_set | ( |  | icon | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ICON_OBJECT_SET), EO_TYPECHECK(Evas_Object *, icon)

Since
  1.8

Set a window object's icon

Parameters

  [in] | icon |

See Also
  elm_win_icon_object_set

Referenced by elm_win_icon_object_set().

#define elm_obj_win_iconified_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ICONIFIED_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get the iconified state of a window.

Parameters

  [out] | ret |

See Also
  elm_win_iconified_get

Referenced by elm_win_iconified_get().

#define elm_obj_win_iconified_set | ( |  | iconified | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ICONIFIED_SET), EO_TYPECHECK(Eina_Bool, iconified)

Since
  1.8

Set the iconified state of a window.

Parameters

  [in] | iconified |

See Also
  elm_win_iconified_set

Referenced by elm_win_iconified_set().

#define elm_obj_win_illume_command_send | ( |  | command,
|  |  | params
| ) |  | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ILLUME_COMMAND_SEND), EO_TYPECHECK(Elm_Illume_Command, command), EO_TYPECHECK(void *, params)

Since
  1.8

Send a command to the windowing environment

Parameters

  [in] | command |
  [in] | params |

See Also
  elm_win_illume_command_send

Referenced by elm_win_illume_command_send().

#define elm_obj_win_indicator_mode_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_INDICATOR_MODE_GET), EO_TYPECHECK(Elm_Win_Indicator_Mode *, ret)

Since
  1.8

Get the indicator mode of the window.

Parameters

  [out] | ret |

See Also
  elm_win_indicator_mode_get

Referenced by elm_win_indicator_mode_get().

#define elm_obj_win_indicator_mode_set | ( |  | mode | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_INDICATOR_MODE_SET), EO_TYPECHECK(Elm_Win_Indicator_Mode, mode)

Since
  1.8

Sets the indicator mode of the window.

Parameters

  [in] | mode |

See Also
  elm_win_indicator_mode_set

Referenced by elm_win_indicator_mode_set().

#define elm_obj_win_indicator_opacity_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_INDICATOR_OPACITY_GET), EO_TYPECHECK(Elm_Win_Indicator_Opacity_Mode *, ret)

Since
  1.8

Get the indicator opacity mode of the window.

Parameters

  [out] | ret |

See Also
  elm_win_indicator_opacity_get

Referenced by elm_win_indicator_opacity_get().

#define elm_obj_win_indicator_opacity_set | ( |  | mode | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_INDICATOR_OPACITY_SET), EO_TYPECHECK(Elm_Win_Indicator_Opacity_Mode, mode)

Since
  1.8

Sets the indicator opacity mode of the window.

Parameters

  [in] | mode |

See Also
  elm_win_indicator_opacity_set

Referenced by elm_win_indicator_opacity_set().

#define elm_obj_win_inlined_image_object_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_INLINED_IMAGE_OBJECT_GET), EO_TYPECHECK(Evas_Object **, ret)

Since
  1.8

Get the inlined image object handle

Parameters

  [out] | ret |

See Also
  elm_win_inlined_image_object_get

Referenced by elm_win_inlined_image_object_get().

#define elm_obj_win_keyboard_mode_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_KEYBOARD_MODE_GET), EO_TYPECHECK(Elm_Win_Keyboard_Mode *, ret)

Since
  1.8

Get the keyboard mode of the window.

Parameters

  [out] | ret |

See Also
  elm_win_keyboard_mode_get

Referenced by elm_win_keyboard_mode_get().

#define elm_obj_win_keyboard_mode_set | ( |  | mode | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_KEYBOARD_MODE_SET), EO_TYPECHECK(Elm_Win_Keyboard_Mode, mode)

Since
  1.8

Sets the keyboard mode of the window.

Parameters

  [in] | mode |

See Also
  elm_win_keyboard_mode_set

Referenced by elm_win_keyboard_mode_set().

#define elm_obj_win_keyboard_win_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_KEYBOARD_WIN_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get whether the window is a keyboard.

Parameters

  [out] | ret |

See Also
  elm_win_keyboard_win_get

Referenced by elm_win_keyboard_win_get().

#define elm_obj_win_keyboard_win_set | ( |  | is_keyboard | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_KEYBOARD_WIN_SET), EO_TYPECHECK(Eina_Bool, is_keyboard)

Since
  1.8

Sets whether the window is a keyboard.

Parameters

  [in] | is_keyboard |

See Also
  elm_win_keyboard_win_set

Referenced by elm_win_keyboard_win_set().

#define elm_obj_win_layer_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_LAYER_GET), EO_TYPECHECK(int *, ret)

Since
  1.8

Get the layer of the window.

Parameters

  [out] | ret |

See Also
  elm_win_layer_get

Referenced by elm_win_layer_get().

#define elm_obj_win_layer_set | ( |  | layer | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_LAYER_SET), EO_TYPECHECK(int, layer)

Since
  1.8

Set the layer of the window.

Parameters

  [in] | layer |

See Also
  elm_win_layer_set

Referenced by elm_win_layer_set().

#define elm_obj_win_lower | ( |  | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_LOWER)

Since
  1.8

Lower a window object.

See Also
  elm_win_lower

Referenced by elm_win_lower().

#define elm_obj_win_main_menu_get | ( |  | ret | ) |

Value:
ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_MAIN_MENU_GET), \
EO_TYPECHECK(Eo **, ret)

Since
  1.8

Get the Main Menu of a window.

Parameters

  [out] | ret | Main menu.

See Also
  elm_win_main_menu_get

Referenced by elm_win_main_menu_get().

#define elm_obj_win_maximized_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_MAXIMIZED_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get the maximized state of a window.

Parameters

  [out] | ret |

See Also
  elm_win_maximized_get

Referenced by elm_win_maximized_get().

#define elm_obj_win_maximized_set | ( |  | maximized | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_MAXIMIZED_SET), EO_TYPECHECK(Eina_Bool, maximized)

Since
  1.8

Set the maximized state of a window.

Parameters

  [in] | maximized |

See Also
  elm_win_maximized_set

Referenced by elm_win_maximized_set().

#define elm_obj_win_modal_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_MODAL_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get the modal state of a window.

Parameters

  [out] | ret |

See Also
  elm_win_modal_get

Referenced by elm_win_modal_get().

#define elm_obj_win_modal_set | ( |  | modal | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_MODAL_SET), EO_TYPECHECK(Eina_Bool, modal)

Since
  1.8

Set the modal state of a window.

Parameters

  [in] | modal |

See Also
  elm_win_modal_set

Referenced by elm_win_modal_set().

#define elm_obj_win_override_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_OVERRIDE_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get the override state of a window.

Parameters

  [out] | ret |

See Also
  elm_win_override_get

Referenced by elm_win_override_get().

#define elm_obj_win_override_set | ( |  | override | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_OVERRIDE_SET), EO_TYPECHECK(Eina_Bool, override)

Since
  1.8

Set the override state of a window.

Parameters

  [in] | override |

See Also
  elm_win_override_set

Referenced by elm_win_override_set().

#define elm_obj_win_profile_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_PROFILE_GET), EO_TYPECHECK(const char **, ret)

Since
  1.8

Get the profile of a window.

Parameters

  [out] | ret |

See Also
  elm_win_profile_get

Referenced by elm_win_profile_get().

#define elm_obj_win_profile_set | ( |  | profile | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_PROFILE_SET), EO_TYPECHECK(const char *, profile)

Since
  1.8

Set the profile of a window.

Parameters

  [in] | profile |

See Also
  elm_win_profile_set

Referenced by elm_win_profile_set().

#define elm_obj_win_prop_focus_skip_set | ( |  | skip | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_PROP_FOCUS_SKIP_SET), EO_TYPECHECK(Eina_Bool, skip)

Since
  1.8

Set the window to be skipped by keyboard focus

Parameters

  [in] | skip |

See Also
  elm_win_prop_focus_skip_set

Referenced by elm_win_prop_focus_skip_set().

#define elm_obj_win_quickpanel_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_QUICKPANEL_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get if this window is a quickpanel or not

Parameters

  [out] | ret |

See Also
  elm_win_quickpanel_get

Referenced by elm_win_quickpanel_get().

#define elm_obj_win_quickpanel_priority_major_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_QUICKPANEL_PRIORITY_MAJOR_GET), EO_TYPECHECK(int *, ret)

Since
  1.8

Get the major priority of a quickpanel window

Parameters

  [out] | ret |

See Also
  elm_win_quickpanel_priority_major_get

Referenced by elm_win_quickpanel_priority_major_get().

#define elm_obj_win_quickpanel_priority_major_set | ( |  | priority | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_QUICKPANEL_PRIORITY_MAJOR_SET), EO_TYPECHECK(int, priority)

Since
  1.8

Set the major priority of a quickpanel window

Parameters

  [in] | priority |

See Also
  elm_win_quickpanel_priority_major_set

Referenced by elm_win_quickpanel_priority_major_set().

#define elm_obj_win_quickpanel_priority_minor_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_QUICKPANEL_PRIORITY_MINOR_GET), EO_TYPECHECK(int *, ret)

Since
  1.8

Get the minor priority of a quickpanel window

Parameters

  [out] | ret |

See Also
  elm_win_quickpanel_priority_minor_get

Referenced by elm_win_quickpanel_priority_minor_get().

#define elm_obj_win_quickpanel_priority_minor_set | ( |  | priority | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_QUICKPANEL_PRIORITY_MINOR_SET), EO_TYPECHECK(int, priority)

Since
  1.8

Set the minor priority of a quickpanel window

Parameters

  [in] | priority |

See Also
  elm_win_quickpanel_priority_minor_set

Referenced by elm_win_quickpanel_priority_minor_set().

#define elm_obj_win_quickpanel_set | ( |  | quickpanel | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_QUICKPANEL_SET), EO_TYPECHECK(Eina_Bool, quickpanel)

Since
  1.8

Set a window to be an illume quickpanel window

Parameters

  [in] | quickpanel |

See Also
  elm_win_quickpanel_set

Referenced by elm_win_quickpanel_set().

#define elm_obj_win_quickpanel_zone_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_QUICKPANEL_ZONE_GET), EO_TYPECHECK(int *, ret)

Since
  1.8

Get which zone this quickpanel should appear in

Parameters

  [out] | ret |

See Also
  elm_win_quickpanel_zone_get

Referenced by elm_win_quickpanel_zone_get().

#define elm_obj_win_quickpanel_zone_set | ( |  | zone | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_QUICKPANEL_ZONE_SET), EO_TYPECHECK(int, zone)

Since
  1.8

Set which zone this quickpanel should appear in

Parameters

  [in] | zone |

See Also
  elm_win_quickpanel_zone_set

Referenced by elm_win_quickpanel_zone_set().

#define elm_obj_win_raise | ( |  | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_RAISE)

Since
  1.8

Raise a window object.

See Also
  elm_win_raise

Referenced by elm_win_raise().

#define elm_obj_win_resize_object_add | ( |  | subobj | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_RESIZE_OBJECT_ADD), EO_TYPECHECK(Evas_Object *, subobj)

Since
  1.8

Add subobj as a resize object of window `obj`.

Parameters

  [in] | subobj |

See Also
  elm_win_resize_object_add

Referenced by elm_win_resize_object_add().

#define elm_obj_win_resize_object_del | ( |  | subobj | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_RESIZE_OBJECT_DEL), EO_TYPECHECK(Evas_Object *, subobj)

Since
  1.8

Delete subobj as a resize object of window `obj`.

Parameters

  [in] | subobj |

See Also
  elm_win_resize_object_del

Referenced by elm_win_resize_object_del().

#define elm_obj_win_role_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ROLE_GET), EO_TYPECHECK(const char **, ret)

Since
  1.8

Get the role of the window

Parameters

  [out] | ret |

See Also
  elm_win_role_get

Referenced by elm_win_role_get().

#define elm_obj_win_role_set | ( |  | role | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ROLE_SET), EO_TYPECHECK(const char *, role)

Since
  1.8

Set the role of the window

Parameters

  [in] | role |

See Also
  elm_win_role_set

Referenced by elm_win_role_set().

#define elm_obj_win_rotation_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ROTATION_GET), EO_TYPECHECK(int *, ret)

Since
  1.8

Get the rotation of the window.

Parameters

  [out] | ret |

See Also
  elm_win_rotation_get

Referenced by elm_win_rotation_get().

#define elm_obj_win_rotation_set | ( |  | rotation | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ROTATION_SET), EO_TYPECHECK(int, rotation)

Since
  1.8

Set the rotation of the window.

Parameters

  [in] | rotation |

See Also
  elm_win_rotation_set

Referenced by elm_win_rotation_set().

#define elm_obj_win_rotation_with_resize_set | ( |  | rotation | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_ROTATION_WITH_RESIZE_SET), EO_TYPECHECK(int, rotation)

Since
  1.8

Rotates the window and resizes it.

Parameters

  [in] | rotation |

See Also
  elm_win_rotation_with_resize_set

Referenced by elm_win_rotation_with_resize_set().

#define elm_obj_win_screen_constrain_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_SCREEN_CONSTRAIN_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Retrieve the constraints on the maximum width and height of a window relative to the width and height of its screen

Parameters

  [out] | ret |

See Also
  elm_win_screen_constrain_get

Referenced by elm_win_screen_constrain_get().

#define elm_obj_win_screen_constrain_set | ( |  | constrain | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_SCREEN_CONSTRAIN_SET), EO_TYPECHECK(Eina_Bool, constrain)

Since
  1.8

Constrain the maximum width and height of a window to the width and height of its screen

Parameters

  [in] | constrain |

See Also
  elm_win_screen_constrain_set

Referenced by elm_win_screen_constrain_set().

#define elm_obj_win_screen_dpi_get | ( |  | xdpi,
|  |  | ydpi
| ) |  | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_SCREEN_DPI_GET), EO_TYPECHECK(int *, xdpi), EO_TYPECHECK(int *, ydpi)

Since
  1.8

Get screen dpi for the screen that a window is on

Parameters

  [out] | xdpi |
  [out] | ydpi |

See Also
  elm_win_screen_dpi_get

Referenced by elm_win_screen_dpi_get().

#define elm_obj_win_screen_position_get | ( |  | x,
|  |  | y
| ) |  | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_SCREEN_POSITION_GET), EO_TYPECHECK(int *, x), EO_TYPECHECK(int *, y)

Since
  1.8

Get the screen position of a window.

Parameters

  [out] | x |
  [out] | y |

See Also
  elm_win_screen_position_get

Referenced by elm_win_screen_position_get().

#define elm_obj_win_screen_size_get | ( |  | x,
|  |  | y,
|  |  | w,
|  |  | h
| ) |  | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_SCREEN_SIZE_GET), EO_TYPECHECK(int *, x), EO_TYPECHECK(int *, y), EO_TYPECHECK(int *, w), EO_TYPECHECK(int *, h)

Since
  1.8

Get screen geometry details for the screen that a window is on

Parameters

  [out] | x |
  [out] | y |
  [out] | w |
  [out] | h |

See Also
  elm_win_screen_size_get

Referenced by elm_win_screen_size_get().

#define elm_obj_win_shaped_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_SHAPED_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get the shaped state of a window.

Parameters

  [out] | ret |

See Also
  elm_win_shaped_get

Referenced by elm_win_shaped_get().

#define elm_obj_win_shaped_set | ( |  | shaped | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_SHAPED_SET), EO_TYPECHECK(Eina_Bool, shaped)

Since
  1.8

Set the shaped state of a window.

Parameters

  [in] | shaped |

See Also
  elm_win_shaped_set

Referenced by elm_win_shaped_set().

#define elm_obj_win_size_base_get | ( |  | w,
|  |  | h
| ) |  | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_SIZE_BASE_GET), EO_TYPECHECK(int *, w), EO_TYPECHECK(int *, h)

Since
  1.8

Get the base size of a window.

Parameters

  [out] | w |
  [out] | h |

See Also
  elm_win_size_base_get

Referenced by elm_win_size_base_get().

#define elm_obj_win_size_base_set | ( |  | w,
|  |  | h
| ) |  | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_SIZE_BASE_SET), EO_TYPECHECK(int, w), EO_TYPECHECK(int, h)

Since
  1.8

Set the base window size used with stepping calculation

Parameters

  [in] | w |
  [in] | h |

See Also
  elm_win_size_base_set

Referenced by elm_win_size_base_set().

#define elm_obj_win_size_step_get | ( |  | w,
|  |  | h
| ) |  | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_SIZE_STEP_GET), EO_TYPECHECK(int *, w), EO_TYPECHECK(int *, h)

Since
  1.8

Get the stepping of a window.

Parameters

  [out] | w |
  [out] | h |

See Also
  elm_win_size_step_get

Referenced by elm_win_size_step_get().

#define elm_obj_win_size_step_set | ( |  | w,
|  |  | h
| ) |  | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_SIZE_STEP_SET), EO_TYPECHECK(int, w), EO_TYPECHECK(int, h)

Since
  1.8

Set the window stepping used with sizing calculation

Parameters

  [in] | w |
  [in] | h |

See Also
  elm_win_size_step_set

Referenced by elm_win_size_step_set().

#define elm_obj_win_socket_listen | ( |  | svcname,
|  |  | svcnum,
|  |  | svcsys,
|  |  | ret
| ) |  | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_SOCKET_LISTEN), EO_TYPECHECK(const char *, svcname), EO_TYPECHECK(int, svcnum), EO_TYPECHECK(Eina_Bool, svcsys), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Create a socket to provide the service for Plug widget

Parameters

  [in] | svcname |
  [in] | svcnum |
  [in] | svcsys |
  [out] | ret |

See Also
  elm_win_socket_listen

Referenced by elm_win_socket_listen().

#define elm_obj_win_sticky_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_STICKY_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get the sticky state of the window.

Parameters

  [out] | ret |

See Also
  elm_win_sticky_get

Referenced by elm_win_sticky_get().

#define elm_obj_win_sticky_set | ( |  | sticky | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_STICKY_SET), EO_TYPECHECK(Eina_Bool, sticky)

Since
  1.8

Set the sticky state of the window.

Parameters

  [in] | sticky |

See Also
  elm_win_sticky_set

Referenced by elm_win_sticky_set().

#define elm_obj_win_title_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_TITLE_GET), EO_TYPECHECK(const char **, ret)

Since
  1.8

Get the title of the window

Parameters

  [out] | ret |

See Also
  elm_win_title_get

Referenced by elm_win_title_get().

#define elm_obj_win_title_set | ( |  | title | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_TITLE_SET), EO_TYPECHECK(const char *, title)

Since
  1.8

Set the title of the window

Parameters

  [in] | title |

See Also
  elm_win_title_set

Referenced by elm_win_title_set().

#define elm_obj_win_urgent_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_URGENT_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get the urgent state of a window.

Parameters

  [out] | ret |

See Also
  elm_win_urgent_get

Referenced by elm_win_urgent_get().

#define elm_obj_win_urgent_set | ( |  | urgent | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_URGENT_SET), EO_TYPECHECK(Eina_Bool, urgent)

Since
  1.8

Set the urgent state of a window.

Parameters

  [in] | urgent |

See Also
  elm_win_urgent_set

Referenced by elm_win_urgent_set().

#define elm_obj_win_window_id_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_WINDOW_ID_GET), EO_TYPECHECK(Ecore_Window *, ret)

Since
  1.8

Get the Ecore_Window of an Evas_Object

Parameters

  [out] | ret |

See Also
  elm_win_window_id_get

Referenced by elm_win_window_id_get().

#define elm_obj_win_withdrawn_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_WITHDRAWN_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get the withdrawn state of a window.

Parameters

  [out] | ret |

See Also
  elm_win_withdrawn_get

Referenced by elm_win_withdrawn_get().

#define elm_obj_win_withdrawn_set | ( |  | withdrawn | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_WITHDRAWN_SET), EO_TYPECHECK(Eina_Bool, withdrawn)

Since
  1.8

Set the withdrawn state of a window.

Parameters

  [in] | withdrawn |

See Also
  elm_win_withdrawn_set

Referenced by elm_win_withdrawn_set().

#define elm_obj_win_wl_window_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_WL_WINDOW_GET), EO_TYPECHECK(Ecore_Wl_Window **, ret)

Since
  1.8

Get the Ecore_Wl_Window of an Evas_Object

Parameters

  [out] | ret |

See Also
  elm_win_wl_window_get

Referenced by elm_win_wl_window_get().

#define elm_obj_win_xwindow_get | ( |  | ret | ) | ELM_OBJ_WIN_ID(ELM_OBJ_WIN_SUB_ID_XWINDOW_GET), EO_TYPECHECK(Ecore_X_Window *, ret)

Since
  1.8

Get the Ecore_X_Window of an Evas_Object

Parameters

  [out] | ret |

See Also
  elm_win_xwindow_get

Referenced by elm_win_xwindow_get().

## Function Documentation

void elm_win_activate | ( | Evas_Object * | obj | ) |

Activate a window object.

This function sends a request to the Window Manager to activate the window pointed by `obj`. If honored by the WM, the window will receive the keyboard focus.

Note
  This is just a request that a Window Manager may ignore, so calling this function does not ensure in any way that the window will be the active one after it.

Parameters

  obj | The window object

References elm_obj_win_activate.

Evas_Object* elm_win_add | ( | Evas_Object * | parent,
|  | const char * | name,
|  | Elm_Win_Type | type
| ) |  |

Adds a window object.

If this is the first window created, pass NULL as `parent`.

Parameters

  parent | Parent object to add the window to, or NULL
  name | The name of the window
  type | The window type, one of #Elm_Win_Type.

The `parent` parameter can be `NULL` for every window `type` except #ELM_WIN_INLINED_IMAGE, which needs a parent to retrieve the canvas on which the image object will be created.

Returns
  The created object, or `NULL` on failure

References elm_obj_win_constructor.

Referenced by elm_quicklaunch_seed(), and elm_win_util_standard_add().

Eina_Bool elm_win_alpha_get | ( | const Evas_Object * | obj | ) |

Get the alpha channel state of a window.

Parameters

  obj | The window object

Returns
  EINA_TRUE if the window alpha channel is enabled, EINA_FALSE otherwise

References elm_obj_win_alpha_get.

void elm_win_alpha_set | ( | Evas_Object * | obj,
|  | Eina_Bool | enabled
| ) |  |

Set the alpha channel state of a window.

If `alpha` is EINA_TRUE, the alpha channel of the canvas will be enabled possibly making parts of the window completely or partially transparent. This is also subject to the underlying system supporting it, like for example, running under a compositing manager. If no compositing is available, enabling this option will instead fallback to using shaped windows, with elm_win_shaped_set().

Parameters

  obj | The window object
  enabled | EINA_TRUE if the window alpha channel is enabled, EINA_FALSE otherwise

See Also
  elm_win_alpha_set()

References elm_obj_win_alpha_set.

double elm_win_aspect_get | ( | const Evas_Object * | obj | ) |

Get the aspect ratio of a window.

Parameters

  obj | The window object

Returns
  The aspect ratio set (0 by default)

References elm_obj_win_aspect_get.

void elm_win_aspect_set | ( | Evas_Object * | obj,
|  | double | aspect
| ) |  |

Set the aspect ratio of a window.

Parameters

  obj | The window object
  aspect | If 0, the window has no aspect limits, otherwise it is width divided by height

References elm_obj_win_aspect_set.

Eina_Bool elm_win_autodel_get | ( | const Evas_Object * | obj | ) |

Get the window's autodel state.

Parameters

  obj | The window object

Returns
  If the window will automatically delete itself when closed

See Also
  elm_win_autodel_set()

References elm_obj_win_autodel_get.

void elm_win_autodel_set | ( | Evas_Object * | obj,
|  | Eina_Bool | autodel
| ) |  |

Set the window's autodel state.

When closing the window in any way outside of the program control, like pressing the X button in the titlebar or using a command from the Window Manager, a "delete,request" signal is emitted to indicate that this event occurred and the developer can take any action, which may include, or not, destroying the window object.

When the `autodel` parameter is set, the window will be automatically destroyed when this event occurs, after the signal is emitted. If `autodel` is `EINA_FALSE`, then the window will not be destroyed and is up to the program to do so when it's required.

Parameters

  obj | The window object
  autodel | If true, the window will automatically delete itself when closed

References elm_obj_win_autodel_set.

Eina_Bool elm_win_available_profiles_get | ( | Evas_Object * | obj,
|  | char *** | profiles,
|  | unsigned int * | count
| ) |  |

Get the array of available profiles of a window.

Parameters

  obj | The window object
  profiles | Where to return the string array of available profiles
  count | Where to return the number of members in profiles

Returns
  EINA_TRUE if available profiles exist, EINA_FALSE otherwise

Since
  1.8

References elm_obj_win_available_profiles_get.

void elm_win_available_profiles_set | ( | Evas_Object * | obj,
|  | const char ** | profiles,
|  | unsigned int | count
| ) |  |

Set the array of available profiles to a window.

Parameters

  obj | The window object
  profiles | The string array of available profiles
  count | The number of members in profiles

Since
  1.8

References elm_obj_win_available_profiles_set.

Eina_Bool elm_win_borderless_get | ( | const Evas_Object * | obj | ) |

Get the borderless state of a window.

Parameters

  obj | The window object

Returns
  If true, the window is borderless

References elm_obj_win_borderless_get.

void elm_win_borderless_set | ( | Evas_Object * | obj,
|  | Eina_Bool | borderless
| ) |  |

Set the borderless state of a window.

This function requests the Window Manager to not draw any decoration around the window.

Parameters

  obj | The window object
  borderless | If true, the window is borderless

References elm_obj_win_borderless_set.

void elm_win_center | ( | Evas_Object * | obj,
|  | Eina_Bool | h,
|  | Eina_Bool | v
| ) |  |

Center a window on its screen.

This function centers window `obj` horizontally and/or vertically based on the values of `h` and `v`.

Parameters

  obj | The window object
  h | If true, center horizontally. If false, do not change horizontal location.
  v | If true, center vertically. If false, do not change vertical location.

References elm_obj_win_center.

Eina_Bool elm_win_conformant_get | ( | const Evas_Object * | obj | ) |

Get if this window is an illume conformant window.

Parameters

  obj | The window object

Returns
  A boolean if this window is illume conformant or not

References elm_obj_win_conformant_get.

void elm_win_conformant_set | ( | Evas_Object * | obj,
|  | Eina_Bool | conformant
| ) |  |

Set if this window is an illume conformant window.

Parameters

  obj | The window object
  conformant | The conformant flag (1 = conformant, 0 = non-conformant)

References elm_obj_win_conformant_set.

Eina_Bool elm_win_demand_attention_get | ( | const Evas_Object * | obj | ) |

Get the demand_attention state of a window.

Parameters

  obj | The window object

Returns
  If true, the window is demand_attention

References elm_obj_win_demand_attention_get.

void elm_win_demand_attention_set | ( | Evas_Object * | obj,
|  | Eina_Bool | demand_attention
| ) |  |

Set the demand_attention state of a window.

Parameters

  obj | The window object
  demand_attention | If true, the window is demand_attention

References elm_obj_win_demand_attention_set.

Eina_Bool elm_win_floating_mode_get | ( | const Evas_Object * | obj | ) |

Get the floating mode of a window.

Parameters

  obj | The window object

Returns
  If true, the window is floating mode

See Also
  elm_win_floating_mode_set()

Since
  1.8

void elm_win_floating_mode_set | ( | Evas_Object * | obj,
|  | Eina_Bool | floating
| ) |  |

Set the floating mode of a window.

Parameters

  obj | The window object
  floating | If true, the window is floating mode

See Also
  elm_win_floating_mode_get()

Since
  1.8

Eina_Bool elm_win_focus_get | ( | const Evas_Object * | obj | ) |

Determine whether a window has focus.

Parameters

  obj | The window to query

Returns
  EINA_TRUE if the window exists and has focus, else EINA_FALSE

References elm_obj_win_focus_get.

Eina_Bool elm_win_focus_highlight_animate_get | ( | const Evas_Object * | obj | ) |

Get the animate value of the focus highlight for this window.

Parameters

  obj | The window in which to check if the focus highlight animation is enabled

Returns
  EINA_TRUE if animation is enabled, EINA_FALSE otherwise

References elm_obj_win_focus_highlight_animate_get.

void elm_win_focus_highlight_animate_set | ( | Evas_Object * | obj,
|  | Eina_Bool | enabled
| ) |  |

Set the animate status for the focus highlight for this window.

This function will enable or disable the animation of focus highlight only for the given window, regardless of the global setting for it

Parameters

  obj | The window where to enable the highlight animation
  enabled | The enabled value for the highlight animation

References elm_obj_win_focus_highlight_animate_set.

Eina_Bool elm_win_focus_highlight_enabled_get | ( | const Evas_Object * | obj | ) |

Get the enabled value of the focus highlight for this window.

Parameters

  obj | The window in which to check if the focus highlight is enabled

Returns
  EINA_TRUE if enabled, EINA_FALSE otherwise

References elm_obj_win_focus_highlight_enabled_get.

void elm_win_focus_highlight_enabled_set | ( | Evas_Object * | obj,
|  | Eina_Bool | enabled
| ) |  |

Set the enabled status for the focus highlight in a window.

This function will enable or disable the focus highlight only for the given window, regardless of the global setting for it

Parameters

  obj | The window where to enable the highlight
  enabled | The enabled value for the highlight

References elm_obj_win_focus_highlight_enabled_set.

const char* elm_win_focus_highlight_style_get | ( | const Evas_Object * | obj | ) |

Get the style set for the focus highlight object.

Get the style set for this windows highlight object, or NULL if none is set.

Parameters

  obj | The window to retrieve the highlights style from

Returns
  The style set or NULL if none was. Default is used in that case.

References elm_obj_win_focus_highlight_style_get.

void elm_win_focus_highlight_style_set | ( | Evas_Object * | obj,
|  | const char * | style
| ) |  |

Set the style for the focus highlight on this window.

Sets the style to use for theming the highlight of focused objects on the given window. If `style` is NULL, the default will be used.

Parameters

  obj | The window where to set the style
  style | The style to set

References elm_obj_win_focus_highlight_style_set.

Eina_Bool elm_win_fullscreen_get | ( | const Evas_Object * | obj | ) |

Get the fullscreen state of a window.

Parameters

  obj | The window object

Returns
  If true, the window is fullscreen

References elm_obj_win_fullscreen_get.

void elm_win_fullscreen_set | ( | Evas_Object * | obj,
|  | Eina_Bool | fullscreen
| ) |  |

Set the fullscreen state of a window.

Parameters

  obj | The window object
  fullscreen | If true, the window is fullscreen

References elm_obj_win_fullscreen_set.

const char* elm_win_icon_name_get | ( | const Evas_Object * | obj | ) |

Get the icon name of the window.

The returned string is an internal one and should not be freed or modified. It will also be invalid if a new icon name is set or if the window is destroyed.

Parameters

  obj | The window object

Returns
  The icon name

References elm_obj_win_icon_name_get.

void elm_win_icon_name_set | ( | Evas_Object * | obj,
|  | const char * | icon_name
| ) |  |

Set the icon name of the window.

Parameters

  obj | The window object
  icon_name | The icon name to set

References elm_obj_win_icon_name_set.

const Evas_Object* elm_win_icon_object_get | ( | const Evas_Object * | obj | ) |

Get the icon object used for the window.

The object returns is the one marked by elm_win_icon_object_set() as the object to use for the window icon.

Parameters

  obj | The window object

Returns
  The icon object set

References elm_obj_win_icon_object_get.

void elm_win_icon_object_set | ( | Evas_Object * | obj,
|  | Evas_Object * | icon
| ) |  |

Set a window object's icon.

This sets an image to be used as the icon for the given window, in the window manager decoration part. The exact pixel dimensions of the object (not object size) will be used, and the image pixels will be used as-is when this function is called. If the image object has been updated, then call this function again to source the image pixels and put them on the window's icon. Note that only Evas image objects are allowed, for

Parameters

  obj | The window object to get an icon
  icon | The Evas image object to use for an icon

Example of usage:

icon = evas_object_image_add(evas_object_evas_get(elm_window));
evas_object_image_file_set(icon, "/path/to/the/icon", NULL);
elm_win_icon_object_set(elm_window, icon);
evas_object_show(icon);

References elm_obj_win_icon_object_set.

Eina_Bool elm_win_iconified_get | ( | const Evas_Object * | obj | ) |

Get the iconified state of a window.

Parameters

  obj | The window object

Returns
  If true, the window is iconified

References elm_obj_win_iconified_get.

void elm_win_iconified_set | ( | Evas_Object * | obj,
|  | Eina_Bool | iconified
| ) |  |

Set the iconified state of a window.

Parameters

  obj | The window object
  iconified | If true, the window is iconified

References elm_obj_win_iconified_set.

void elm_win_illume_command_send | ( | Evas_Object * | obj,
|  | Elm_Illume_Command | command,
|  | void * | params
| ) |  |

Send a command to the windowing environment.

This is intended to work in touchscreen or small screen device environments where there is a more simplistic window management policy in place. This uses the window object indicated to select which part of the environment to control (the part that this window lives in), and provides a command and an optional parameter structure (use NULL for this if not needed).

Parameters

  obj | The window object that lives in the environment to control
  command | The command to send
  params | Optional parameters for the command

References elm_obj_win_illume_command_send.

Elm_Win_Indicator_Mode elm_win_indicator_mode_get | ( | const Evas_Object * | obj | ) |

Get the indicator mode of the window.

Parameters

  obj | The window object

Returns
  The mode, one of #Elm_Win_Indicator_Mode

References elm_obj_win_indicator_mode_get.

void elm_win_indicator_mode_set | ( | Evas_Object * | obj,
|  | Elm_Win_Indicator_Mode | mode
| ) |  |

Sets the indicator mode of the window.

Parameters

  obj | The window object
  mode | The mode to set, one of #Elm_Win_Indicator_Mode

References elm_obj_win_indicator_mode_set.

Elm_Win_Indicator_Opacity_Mode elm_win_indicator_opacity_get | ( | const Evas_Object * | obj | ) |

Get the indicator opacity mode of the window.

Parameters

  obj | The window object

Returns
  The mode, one of #Elm_Win_Indicator_Opacity_Mode

References elm_obj_win_indicator_opacity_get.

void elm_win_indicator_opacity_set | ( | Evas_Object * | obj,
|  | Elm_Win_Indicator_Opacity_Mode | mode
| ) |  |

Sets the indicator opacity mode of the window.

Parameters

  obj | The window object
  mode | The mode to set, one of #Elm_Win_Indicator_Opacity_Mode

References elm_obj_win_indicator_opacity_set.

Evas_Object* elm_win_inlined_image_object_get | ( | Evas_Object * | obj | ) |

Get the inlined image object handle.

When you create a window with elm_win_add() of type ELM_WIN_INLINED_IMAGE, then the window is in fact an evas image object inlined in the parent canvas. You can get this object (be careful to not manipulate it as it is under control of elementary), and use it to do things like get pixel data, save the image to a file, etc.

Parameters

  obj | The window object to get the inlined image from

Returns
  The inlined image object, or NULL if none exists

References elm_obj_win_inlined_image_object_get.

Referenced by elm_object_focus_set().

Elm_Win_Keyboard_Mode elm_win_keyboard_mode_get | ( | const Evas_Object * | obj | ) |

Get the keyboard mode of the window.

Parameters

  obj | The window object

Returns
  The mode, one of #Elm_Win_Keyboard_Mode

References elm_obj_win_keyboard_mode_get.

void elm_win_keyboard_mode_set | ( | Evas_Object * | obj,
|  | Elm_Win_Keyboard_Mode | mode
| ) |  |

Sets the keyboard mode of the window.

Parameters

  obj | The window object
  mode | The mode to set, one of #Elm_Win_Keyboard_Mode

References elm_obj_win_keyboard_mode_set.

Eina_Bool elm_win_keyboard_win_get | ( | const Evas_Object * | obj | ) |

Get whether the window is a keyboard.

Parameters

  obj | The window object

Returns
  If the window is a virtual keyboard

References elm_obj_win_keyboard_win_get.

void elm_win_keyboard_win_set | ( | Evas_Object * | obj,
|  | Eina_Bool | is_keyboard
| ) |  |

Sets whether the window is a keyboard.

Parameters

  obj | The window object
  is_keyboard | If true, the window is a virtual keyboard

References elm_obj_win_keyboard_win_set.

int elm_win_layer_get | ( | const Evas_Object * | obj | ) |

Get the layer of the window.

Parameters

  obj | The window object

Returns
  The layer of the window

See Also
  elm_win_layer_set()

References elm_obj_win_layer_get.

void elm_win_layer_set | ( | Evas_Object * | obj,
|  | int | layer
| ) |  |

Set the layer of the window.

What this means exactly will depend on the underlying engine used.

In the case of X11 backed engines, the value in `layer` has the following meanings:

- < 3: The window will be placed below all others.
- > 5: The window will be placed above all others.
- other: The window will be placed in the default layer.

Parameters

  obj | The window object
  layer | The layer of the window

References elm_obj_win_layer_set.

void elm_win_lower | ( | Evas_Object * | obj | ) |

Lower a window object.

Places the window pointed by `obj` at the bottom of the stack, so that no other window is covered by it.

If elm_win_override_set() is not set, the Window Manager may ignore this request.

Parameters

  obj | The window object

References elm_obj_win_lower.

Evas_Object* elm_win_main_menu_get | ( | const Evas_Object * | obj | ) |

Get the Main Menu of a window.

Parameters

  obj | The window object

Returns
  The Main Menu of the window (NULL if error).

References elm_obj_win_main_menu_get.

Eina_Bool elm_win_maximized_get | ( | const Evas_Object * | obj | ) |

Get the maximized state of a window.

Parameters

  obj | The window object

Returns
  If true, the window is maximized

References elm_obj_win_maximized_get.

void elm_win_maximized_set | ( | Evas_Object * | obj,
|  | Eina_Bool | maximized
| ) |  |

Set the maximized state of a window.

Parameters

  obj | The window object
  maximized | If true, the window is maximized

References elm_obj_win_maximized_set.

Eina_Bool elm_win_modal_get | ( | const Evas_Object * | obj | ) |

Get the modal state of a window.

Parameters

  obj | The window object

Returns
  If true, the window is modal

References elm_obj_win_modal_get.

void elm_win_modal_set | ( | Evas_Object * | obj,
|  | Eina_Bool | modal
| ) |  |

Set the modal state of a window.

Parameters

  obj | The window object
  modal | If true, the window is modal

References elm_obj_win_modal_set.

int elm_win_norender_get | ( | Evas_Object * | obj | ) |

The retruns how many times norender has been pushed on the window.

Parameters

  obj | The window object

Returns
  The number of times norender has been pushed

See Also
  elm_win_norender_push()
  elm_win_norender_pop()
  elm_win_render()

Since
  1.7

void elm_win_norender_pop | ( | Evas_Object * | obj | ) |

This pops (decrements) the norender counter on the window.

Parameters

  obj | The window object

Once norender has gone back to 0, then automatic rendering will continue in the given window. If it is already at 0, this will have no effect.

See Also
  elm_win_norender_push()
  elm_win_norender_get()
  elm_win_render()

Since
  1.7

void elm_win_norender_push | ( | Evas_Object * | obj | ) |

This pushes (incriments) the norender counter on the window.

Parameters

  obj | The window object

There are some occasions where you wish to suspend rendering on a window. You may be "sleeping" and have nothing to update and do not want animations or other theme side-effects causing rendering to the window while "asleep". You can push (and pop) the norender mode to have this work.

If combined with evas_render_dump(), evas_image_cache_flush() and evas_font_cache_flush() (and maybe edje_file_cache_flush() and edje_collection_cache_flush()), you can minimize memory footprint significantly while "asleep", and the pausing of rendering ensures evas does not re-load data into memory until needed. When rendering is resumed, data will be re-loaded as needed, which may result in some lag, but does save memory.

See Also
  elm_win_norender_pop()
  elm_win_norender_get()
  elm_win_render()

Since
  1.7

Eina_Bool elm_win_override_get | ( | const Evas_Object * | obj | ) |

Get the override state of a window.

Parameters

  obj | The window object

Returns
  If true, the window is overridden

See Also
  elm_win_override_set()

References elm_obj_win_override_get.

void elm_win_override_set | ( | Evas_Object * | obj,
|  | Eina_Bool | override
| ) |  |

Set the override state of a window.

A window with `override` set to EINA_TRUE will not be managed by the Window Manager. This means that no decorations of any kind will be shown for it, moving and resizing must be handled by the application, as well as the window visibility.

This should not be used for normal windows, and even for not so normal ones, it should only be used when there's a good reason and with a lot of care. Mishandling override windows may result situations that disrupt the normal workflow of the end user.

Parameters

  obj | The window object
  override | If true, the window is overridden

References elm_obj_win_override_set.

const char* elm_win_profile_get | ( | const Evas_Object * | obj | ) |

Get the profile of a window.

Parameters

  obj | The window object

Returns
  The string value of a window profile, or NULL if none exists

Since
  1.8

References elm_obj_win_profile_get.

void elm_win_profile_set | ( | Evas_Object * | obj,
|  | const char * | profile
| ) |  |

Set the profile of a window.

Parameters

  obj | The window object
  profile | The string value of a window profile

Since
  1.8

References elm_obj_win_profile_set.

void elm_win_prop_focus_skip_set | ( | Evas_Object * | obj,
|  | Eina_Bool | skip
| ) |  |

Set the window to be skipped by keyboard focus.

This sets the window to be skipped by normal keyboard input. This means a window manager will be asked to not focus this window as well as omit it from things like the taskbar, pager, "alt-tab" list etc. etc.

Call this and enable it on a window BEFORE you show it for the first time, otherwise it may have no effect.

Use this for windows that have only output information or might only be interacted with by the mouse or fingers, and never for typing input. Be careful that this may have side-effects like making the window non-accessible in some cases unless the window is specially handled. Use this with care.

Parameters

  obj | The window object
  skip | The skip flag state (EINA_TRUE if it is to be skipped)

References elm_obj_win_prop_focus_skip_set.

Eina_Bool elm_win_quickpanel_get | ( | const Evas_Object * | obj | ) |

Get if this window is a quickpanel or not.

Parameters

  obj | The window object

Returns
  A boolean if this window is a quickpanel or not

References elm_obj_win_quickpanel_get.

int elm_win_quickpanel_priority_major_get | ( | const Evas_Object * | obj | ) |

Get the major priority of a quickpanel window.

Parameters

  obj | The window object

Returns
  The major priority of this quickpanel

References elm_obj_win_quickpanel_priority_major_get.

void elm_win_quickpanel_priority_major_set | ( | Evas_Object * | obj,
|  | int | priority
| ) |  |

Set the major priority of a quickpanel window.

Parameters

  obj | The window object
  priority | The major priority for this quickpanel

References elm_obj_win_quickpanel_priority_major_set.

int elm_win_quickpanel_priority_minor_get | ( | const Evas_Object * | obj | ) |

Get the minor priority of a quickpanel window.

Parameters

  obj | The window object

Returns
  The minor priority of this quickpanel

References elm_obj_win_quickpanel_priority_minor_get.

void elm_win_quickpanel_priority_minor_set | ( | Evas_Object * | obj,
|  | int | priority
| ) |  |

Set the minor priority of a quickpanel window.

Parameters

  obj | The window object
  priority | The minor priority for this quickpanel

References elm_obj_win_quickpanel_priority_minor_set.

void elm_win_quickpanel_set | ( | Evas_Object * | obj,
|  | Eina_Bool | quickpanel
| ) |  |

Set a window to be an illume quickpanel window.

By default window objects are not quickpanel windows.

Parameters

  obj | The window object
  quickpanel | The quickpanel flag (1 = quickpanel, 0 = normal window)

References elm_obj_win_quickpanel_set.

int elm_win_quickpanel_zone_get | ( | const Evas_Object * | obj | ) |

Get which zone this quickpanel should appear in.

Parameters

  obj | The window object

Returns
  The requested zone for this quickpanel

References elm_obj_win_quickpanel_zone_get.

void elm_win_quickpanel_zone_set | ( | Evas_Object * | obj,
|  | int | zone
| ) |  |

Set which zone this quickpanel should appear in.

Parameters

  obj | The window object
  zone | The requested zone for this quickpanel

References elm_obj_win_quickpanel_zone_set.

void elm_win_raise | ( | Evas_Object * | obj | ) |

Raise a window object.

Places the window pointed by `obj` at the top of the stack, so that it's not covered by any other window.

If elm_win_override_set() is not set, the Window Manager may ignore this request.

Parameters

  obj | The window object

References elm_obj_win_raise.

void elm_win_render | ( | Evas_Object * | obj | ) |

This manually asks evas to render the window now.

Parameters

  obj | The window object

You should NEVER call this unless you really know what you are doing and why. Never call this unless you are asking for performance degredation and possibly weird behavior. Windows get automatically rendered when the application goes idle so there is never a need to call this UNLESS you have enabled "norender" mode.

See Also
  elm_win_norender_push()
  elm_win_norender_pop()
  elm_win_norender_get()

Since
  1.7

void elm_win_resize_object_add | ( | Evas_Object * | obj,
|  | Evas_Object * | subobj
| ) |  |

Add `subobj` as a resize object of window `obj`.

Setting an object as a resize object of the window means that the `subobj` child's size and position will be controlled by the window directly. That is, the object will be resized to match the window size and should never be moved or resized manually by the developer.

In addition, resize objects of the window control what the minimum size of it will be, as well as whether it can or not be resized by the user.

For the end user to be able to resize a window by dragging the handles or borders provided by the Window Manager, or using any other similar mechanism, all of the resize objects in the window should have their evas_object_size_hint_weight_set() set to EVAS_HINT_EXPAND.

Also notice that the window can get resized to the current size of the object if the EVAS_HINT_EXPAND is set after the call to elm_win_resize_object_add(). So if the object should get resized to the size of the window, set this hint before adding it as a resize object (this happens because the size of the window and the object are evaluated as soon as the object is added to the window).

Parameters

  obj | The window object
  subobj | The resize object to add

References elm_obj_win_resize_object_add.

Referenced by elm_quicklaunch_seed(), and elm_win_util_standard_add().

void elm_win_resize_object_del | ( | Evas_Object * | obj,
|  | Evas_Object * | subobj
| ) |  |

Delete `subobj` as a resize object of window `obj`.

This function removes the object `subobj` from the resize objects of the window `obj`. It will not delete the object itself, which will be left unmanaged and should be deleted by the developer, manually handled or set as child of some other container.

Parameters

  obj | The window object
  subobj | The resize object to add

References elm_obj_win_resize_object_del.

const char* elm_win_role_get | ( | const Evas_Object * | obj | ) |

Get the role of the window.

The returned string is an internal one and should not be freed or modified. It will also be invalid if a new role is set or if the window is destroyed.

Parameters

  obj | The window object

Returns
  The role

References elm_obj_win_role_get.

void elm_win_role_set | ( | Evas_Object * | obj,
|  | const char * | role
| ) |  |

Set the role of the window.

Parameters

  obj | The window object
  role | The role to set

References elm_obj_win_role_set.

int elm_win_rotation_get | ( | const Evas_Object * | obj | ) |

Get the rotation of the window.

Parameters

  obj | The window object

Returns
  The rotation of the window in degrees (0-360)

See Also
  elm_win_rotation_set()
  elm_win_rotation_with_resize_set()

References elm_obj_win_rotation_get.

void elm_win_rotation_set | ( | Evas_Object * | obj,
|  | int | rotation
| ) |  |

Set the rotation of the window.

Most engines only work with multiples of 90.

This function is used to set the orientation of the window `obj` to match that of the screen. The window itself will be resized to adjust to the new geometry of its contents. If you want to keep the window size, see elm_win_rotation_with_resize_set().

Parameters

  obj | The window object
  rotation | The rotation of the window, in degrees (0-360), counter-clockwise.

References elm_obj_win_rotation_set.

void elm_win_rotation_with_resize_set | ( | Evas_Object * | obj,
|  | int | rotation
| ) |  |

Rotates the window and resizes it.

Like elm_win_rotation_set(), but it also resizes the window's contents so that they fit inside the current window geometry.

Parameters

  obj | The window object
  rotation | The rotation of the window in degrees (0-360), counter-clockwise.

References elm_obj_win_rotation_with_resize_set.

Eina_Bool elm_win_screen_constrain_get | ( | Evas_Object * | obj | ) |

Retrieve the constraints on the maximum width and height of a window relative to the width and height of its screen.

When this function returns true, `obj` will never resize larger than the screen.

Parameters

  obj | The window object

Returns
  EINA_TRUE to restrict the window's maximum size, EINA_FALSE to disable restriction

References elm_obj_win_screen_constrain_get.

void elm_win_screen_constrain_set | ( | Evas_Object * | obj,
|  | Eina_Bool | constrain
| ) |  |

Constrain the maximum width and height of a window to the width and height of its screen.

When `constrain` is true, `obj` will never resize larger than the screen.

Parameters

  obj | The window object
  constrain | EINA_TRUE to restrict the window's maximum size, EINA_FALSE to disable restriction

References elm_obj_win_screen_constrain_set.

void elm_win_screen_dpi_get | ( | const Evas_Object * | obj,
|  | int * | xdpi,
|  | int * | ydpi
| ) |  |

Get screen dpi for the screen that a window is on.

Parameters

  obj | The window to query
  xdpi | Pointer to value to store return horizontal dpi. May be NULL.
  ydpi | Pointer to value to store return vertical dpi. May be NULL.

Since
  1.7

References elm_obj_win_screen_dpi_get.

void elm_win_screen_position_get | ( | const Evas_Object * | obj,
|  | int * | x,
|  | int * | y
| ) |  |

Get the screen position of a window.

Parameters

  obj | The window object
  x | The int to store the x coordinate to
  y | The int to store the y coordinate to

References elm_obj_win_screen_position_get.

void elm_win_screen_size_get | ( | const Evas_Object * | obj,
|  | int * | x,
|  | int * | y,
|  | int * | w,
|  | int * | h
| ) |  |

Get screen geometry details for the screen that a window is on.

Parameters

  obj | The window to query
  x | where to return the horizontal offset value. May be NULL.
  y | where to return the vertical offset value. May be NULL.
  w | where to return the width value. May be NULL.
  h | where to return the height value. May be NULL.

References elm_obj_win_screen_size_get.

Eina_Bool elm_win_shaped_get | ( | const Evas_Object * | obj | ) |

Get the shaped state of a window.

Parameters

  obj | The window object

Returns
  If true, the window is shaped

See Also
  elm_win_shaped_set()

References elm_obj_win_shaped_get.

void elm_win_shaped_set | ( | Evas_Object * | obj,
|  | Eina_Bool | shaped
| ) |  |

Set the shaped state of a window.

Shaped windows, when supported, will render the parts of the window that has no content, transparent.

If `shaped` is EINA_FALSE, then it is strongly advised to have some background object or cover the entire window in any other way, or the parts of the canvas that have no data will show framebuffer artifacts.

Parameters

  obj | The window object
  shaped | If true, the window is shaped

See Also
  elm_win_alpha_set()

References elm_obj_win_shaped_set.

void elm_win_size_base_get | ( | Evas_Object * | obj,
|  | int * | w,
|  | int * | h
| ) |  |

Get the base size of a window.

Parameters

  obj | The window object
  w | Pointer in which to store returned base width
  h | Pointer in which to store returned base height

See Also
  elm_win_size_base_set
  elm_win_size_step_set

Since
  1.7

References elm_obj_win_size_base_get.

void elm_win_size_base_set | ( | Evas_Object * | obj,
|  | int | w,
|  | int | h
| ) |  |

Set the base window size used with stepping calculation.

Base size + stepping is what is calculated for window sizing restrictions.

Parameters

  obj | The window object
  w | The base width
  h | The base height

See Also
  elm_win_size_step_set
  elm_win_size_base_get

Since
  1.7

References elm_obj_win_size_base_set.

void elm_win_size_step_get | ( | Evas_Object * | obj,
|  | int * | w,
|  | int * | h
| ) |  |

Get the stepping of a window.

Parameters

  obj | The window object
  w | Pointer in which to store returned stepping width
  h | Pointer in which to store returned stepping height

See Also
  elm_win_size_base_set
  elm_win_size_step_set

Since
  1.7

References elm_obj_win_size_step_get.

void elm_win_size_step_set | ( | Evas_Object * | obj,
|  | int | w,
|  | int | h
| ) |  |

Set the window stepping used with sizing calculation.

Base size + stepping is what is calculated for window sizing restrictions.

Parameters

  obj | The window object
  w | The stepping width (0 disables)
  h | The stepping height (0 disables)

See Also
  elm_win_size_step_get
  elm_win_size_base_set

Since
  1.7

References elm_obj_win_size_step_set.

Eina_Bool elm_win_socket_listen | ( | Evas_Object * | obj,
|  | const char * | svcname,
|  | int | svcnum,
|  | Eina_Bool | svcsys
| ) |  |

Create a socket to provide the service for Plug widget.

Parameters

  obj | The window object
  svcname | The name of the service to be advertised. ensure that it is unique (when combined with `svcnum`) otherwise creation may fail.
  svcnum | A number (any value, 0 being the common default) to differentiate multiple instances of services with the same name.
  svcsys | A boolean that if true, specifies to create a system-wide service all users can connect to, otherwise the service is private to the user id that created the service.

Returns
  If socket creation is successful

References elm_obj_win_socket_listen.

Eina_Bool elm_win_sticky_get | ( | const Evas_Object * | obj | ) |

Get the sticky state of the window.

Parameters

  obj | The window object

Returns
  If true, the window's sticky state is enabled

See Also
  elm_win_sticky_set()

References elm_obj_win_sticky_get.

void elm_win_sticky_set | ( | Evas_Object * | obj,
|  | Eina_Bool | sticky
| ) |  |

Set the sticky state of the window.

Hints the Window Manager that the window in `obj` should be left fixed at its position even when the virtual desktop it's on moves or changes.

Parameters

  obj | The window object
  sticky | If true, the window's sticky state is enabled

References elm_obj_win_sticky_set.

const char* elm_win_title_get | ( | const Evas_Object * | obj | ) |

Get the title of the window.

The returned string is an internal one and should not be freed or modified. It will also be invalid if a new title is set or if the window is destroyed.

Parameters

  obj | The window object

Returns
  The title

References elm_obj_win_title_get.

void elm_win_title_set | ( | Evas_Object * | obj,
|  | const char * | title
| ) |  |

Set the title of the window.

Parameters

  obj | The window object
  title | The title to set

References elm_obj_win_title_set.

Referenced by elm_win_util_standard_add().

Eina_Bool elm_win_urgent_get | ( | const Evas_Object * | obj | ) |

Get the urgent state of a window.

Parameters

  obj | The window object

Returns
  If true, the window is urgent

References elm_obj_win_urgent_get.

void elm_win_urgent_set | ( | Evas_Object * | obj,
|  | Eina_Bool | urgent
| ) |  |

Set the urgent state of a window.

Parameters

  obj | The window object
  urgent | If true, the window is urgent

References elm_obj_win_urgent_set.

Evas_Object* elm_win_util_standard_add | ( | const char * | name,
|  | const char * | title
| ) |  |

Adds a window object with standard setup.

Parameters

  name | The name of the window
  title | The title for the window

This creates a window like elm_win_add() but also puts in a standard background with elm_bg_add(), as well as setting the window title to `title`. The window type created is of type ELM_WIN_BASIC, with `NULL` as the parent widget.

Returns
  The created object, or `NULL` on failure

See Also
  elm_win_add()

References elm_bg_add(), elm_win_add(), elm_win_resize_object_add(), and elm_win_title_set().

Ecore_Window elm_win_window_id_get | ( | const Evas_Object * | obj | ) |

Get the Ecore_Window of an Evas_Object.

When Elementary is using a Wayland engine, this function will return the surface id of the elm window's surface.

Parameters

  obj | The window object

Returns
  The Ecore_Window of an Evas_Object

Since
  1.8

References elm_obj_win_window_id_get.

Eina_Bool elm_win_withdrawn_get | ( | const Evas_Object * | obj | ) |

Get the withdrawn state of a window.

Parameters

  obj | The window object

Returns
  If true, the window is withdrawn

References elm_obj_win_withdrawn_get.

void elm_win_withdrawn_set | ( | Evas_Object * | obj,
|  | Eina_Bool | withdrawn
| ) |  |

Set the withdrawn state of a window.

Parameters

  obj | The window object
  withdrawn | If true, the window is withdrawn

References elm_obj_win_withdrawn_set.

Ecore_Wl_Window* elm_win_wl_window_get | ( | const Evas_Object * | obj | ) |

Get the Ecore_Wl_Window of an Evas_Object.

Parameters

  obj | the object

Returns
  The Ecore_Wl_Window of `obj`

References elm_obj_win_wl_window_get.

Referenced by elm_cnp_selection_get(), elm_cnp_selection_loss_callback_set(), elm_cnp_selection_set(), and elm_object_cnp_selection_clear().

Ecore_X_Window elm_win_xwindow_get | ( | const Evas_Object * | obj | ) |

Get the Ecore_X_Window of an Evas_Object.

Parameters

  obj | The object

Returns
  The Ecore_X_Window of `obj`

References elm_obj_win_xwindow_get.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:15